%{?python_enable_dependency_generator}

%global pypi_name pystemd

Name:           python-%{pypi_name}
Version:        0.13.2
Release:    1%{?dist}
Summary:        A thin Cython-based wrapper on top of libsystemd

License:        LGPL-2.1-or-later
URL:            https://github.com/systemd/pystemd
Source0:        %{url}/archive/v%{version}/%{pypi_name}-%{version}.tar.gz
Patch0:         %{url}/pull/87.patch#/pystemd-fix_deprecation_warning.diff

BuildRequires:  gcc
BuildRequires:  pkgconfig(libsystemd)
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(cython)
BuildRequires:  python3dist(lxml)
BuildRequires:  python3dist(psutil)

%description
This library allows you to talk to systemd over D-Bus from Python,
without actually thinking that you are talking to systemd over D-Bus.

This allows you to programmatically start/stop/restart/kill and verify
service status from systemd point of view, avoiding subprocessing systemctl
and then parsing the output to know the result.

%package -n     python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name}
This library allows you to talk to systemd over D-Bus from Python,
without actually thinking that you are talking to systemd over D-Bus.

This allows you to programmatically start/stop/restart/kill and verify
service status from systemd point of view, avoiding subprocessing systemctl
and then parsing the output to know the result.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%build
%py3_build

%install
%py3_install
rm -f %{buildroot}%{python3_sitearch}/%{pypi_name}/*.c

%check
rm -f tests/test_daemon.py
%if 0%{?el8}
rm -f tests/test_futures.py
%endif

export PYTHONPATH=%{buildroot}%{python3_sitearch}
pushd tests
%{__python3} -m unittest discover
popd

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{python3_sitearch}/%{pypi_name}
%{python3_sitearch}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.13.2-1
- initial build
